Package ghidra.util.table

# Class ProgramMappedTableColumn<ROW_TYPE,EXPECTED_ROW_TYPE,COLUMN_TYPE>

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ROW_TYPE,COLUMN_TYPE,DATA_SOURCE>
docking.widgets.table.MappedTableColumn<ROW_TYPE,EXPECTED_ROW_TYPE,COLUMN_TYPE,Program>
ghidra.util.table.ProgramMappedTableColumn<ROW_TYPE,EXPECTED_ROW_TYPE,COLUMN_TYPE>

All Implemented Interfaces:
  `DynamicTableColumn<ROW_TYPE,COLUMN_TYPE,Program>`

public class ProgramMappedTableColumn<ROW_TYPE,EXPECTED_ROW_TYPE,COLUMN_TYPE> extends MappedTableColumn<ROW_TYPE,EXPECTED_ROW_TYPE,COLUMN_TYPE,Program>

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.MappedTableColumn

  `mapper, tableColumn`

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ProgramMappedTableColumn(TableRowMapper<ROW_TYPE,EXPECTED_ROW_TYPE,Program> mapper, DynamicTableColumn<EXPECTED_ROW_TYPE,COLUMN_TYPE,Program> tableColumn)`
  `protected`
  `ProgramMappedTableColumn(TableRowMapper<ROW_TYPE,EXPECTED_ROW_TYPE,Program> mapper, DynamicTableColumn<EXPECTED_ROW_TYPE,COLUMN_TYPE,Program> tableColumn, String uniqueIdentifier)`

- ## Method Summary

  ### Methods inherited from class docking.widgets.table.MappedTableColumn

  `getColumnClass, getColumnDescription, getColumnDisplayName, getColumnName, getColumnPreferredWidth, getColumnRenderer, getComparator, getHeaderRenderer, getMappedColumnClass, getMaxLines, getSettingsDefinitions, getSupportedRowType, getValue, toString`

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getComparator, getUniqueIdentifier, hashCode`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProgramMappedTableColumn

    protected ProgramMappedTableColumn(TableRowMapper<ROW_TYPE,EXPECTED_ROW_TYPE,Program> mapper, DynamicTableColumn<EXPECTED_ROW_TYPE,COLUMN_TYPE,Program> tableColumn)

  - ### ProgramMappedTableColumn

    protected ProgramMappedTableColumn(TableRowMapper<ROW_TYPE,EXPECTED_ROW_TYPE,Program> mapper, DynamicTableColumn<EXPECTED_ROW_TYPE,COLUMN_TYPE,Program> tableColumn, String uniqueIdentifier)